tapi-stubify(1)

NAME
tapi-stubify - Create a text-based stub file from a library

SYNOPSIS
tapi stubify [--no-uuids] [--set-installapi-flag] [--inline-private-frameworks] [-isysroot <directory>] [-o <file>] [--help] <file> tapi stubify [--inline-private-frameworks] [-isysroot <directory>] [--help] <directory>

DESCRIPTION

The stubify command creates a text-based stub file (.tbd) from a dynamic library or framework.

When the input is a file, then a text-based stub file is generated next to the input file with the .tbd file extension (unless the -o option is used). If the conversion is not possible, then the tool will abort with an error.

When the input is a directoy, then the directory is recursively searched for dynamic library files. All header directories are ignored during that search. The stubbed files are placed next to the existing dynamic library files. The existing symbolic link structure is mirrored for the newly created stub files.

OPTIONS

--no-uuids
    This option should only be used when generating text-based stub files for installapi projects. It doesn't record the UUIDs of the library that are stubbed. Not recording the UUIDs affects how the linker chooses when provided with a text-based stub file and dynamic library file in the SDK.

--set-installapi-flag
    This option should only be used when generating text-based stub files for installapi projects. This sets the installapi flag in the text-based stub file. This option also implies --no-uuids. Setting the installapi flag affects how the linker chooses when provided with a text-based stub file and dynamic library file in the SDK.

--inline-private-frameworks
    Private frameworks and libraries that are re-exported from a public framework/library are inlined into the public framework/library and the re-export reference is removed. When the re-exported library doesn't have the same architecture slice, then an ABI compatible slice is selected and inlined instead.

-o <file>
    Write output to <file>. This is only valid when the input is a file.

-isysroot <directory>
    Specifies the path to the SDK directory. This will be used as an additional search path when inlining private frameworks.

--help
    Prints the list of options.

SEE ALSO
tapi(1), ld(1)